SystemOrganization addCategory: #'Scriptaculous-Tests-Components'!

SUAllTests subclass: #SUAllComponentTests
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUAllComponentTests class methodsFor: 'testing' stamp: 'dkh 11/18/2009 14:53'!
canBeRoot
	^ true! !

!SUAllComponentTests class methodsFor: 'accessing' stamp: 'jf 1/11/2010 12:50'!
description
	^ 'Scriptaculous Component Functional Test Suite'! !

!SUAllComponentTests class methodsFor: 'initialization' stamp: 'lr 1/14/2011 20:06'!
initialize
	(WAAdmin register: self asApplicationAt: 'javascript/scriptaculous-components')
		addLibrary: PTDevelopmentLibrary;
		addLibrary: SUDevelopmentLibrary;
		addLibrary: SUComponentLibrary;
		addLibrary: SUAllTestLibrary! !

!SUAllComponentTests methodsFor: 'initialization' stamp: 'lr 8/30/2008 11:53'!
initializeTabs
	tabs := OrderedCollection new
		add: 'Welcome' -> (Array
			with: 'Welcome' -> SUWelcomeTest new
			with: 'Counter' -> SUCounterTest new);
		add: 'Window' -> (Array
			with: 'Window' -> SUWindowTest new
			with: 'Lightbox' -> SULightboxTest new
			with: 'TitlePane' -> SUTitlePaneTest new
			with: 'Splitter Vertical'-> SUVerticalSplitterTest new
			with: 'Splitter Horizontal'-> SUHorizontalSplitterTest new);
		add: 'Navigation' -> (Array
			with: 'TabPanel' -> SUTabPanelTest new
			with: 'Accordion' -> SUAccordionTest new
			with: 'Carousel' -> SUCarouselTest new
			with: 'Carousel Horizontal'-> SUCarouselHorizontalTest new
			with: 'Carousel Vertical'-> SUCarouselVerticalTest new);
		add: 'Controls' -> (Array
			with: 'TieredList' -> SUTieredListTest new
			with: 'TreeReport' -> SUTreeReportTest new
			with: 'DatePicker' -> SUDatePickerTest new);
		yourself! !

!SUAllComponentTests methodsFor: 'rendering' stamp: 'dkh 11/18/2009 15:03'!
renderChildrenOn: html
	"Display 'Example Source' and 'Actual Source' using a lightbox. "

	html div id: 'content'; with: [
		selected do: [ :each |
			html heading: each key; render: each value.
			each value testClass isNil ifFalse: [
				html paragraph: [
					html anchor
						callback: [ self lightbox: (SUClassBrowser onClass: each value testClass) ];
						with: 'Example source'.
					each value coreClass isNil ifFalse: [
						html break.
						html anchor
							callback: [ self lightbox: (SUClassBrowser onClass: each value coreClass) ];
							with: 'Actual implementation' ] ] ]
				 ] ]! !

!SUAllComponentTests methodsFor: 'accessing' stamp: 'lr 8/30/2008 11:59'!
title
	^ super title , ' Components'! !

WAComponent subclass: #SUDialogTest
	instanceVariableNames: 'answerBlock'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUDialogTest methodsFor: 'accessing' stamp: 'obi 11/29/2008 21:40'!
answer: aBlock
	aBlock fixCallbackTemps.
	answerBlock := aBlock! !

!SUDialogTest methodsFor: 'rendering' stamp: 'lr 7/25/2011 19:10'!
renderContentOn: html
		html paragraph: 'Window answer test'.
		html paragraph: [
			html anchor
				onClick: (html prototype evaluator callback: [ :s | answerBlock value: s ]);
				with: 'OK' ]! !

WAComponent subclass: #SUSmallBoxTest
	instanceVariableNames: 'text'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUSmallBoxTest methodsFor: 'accessing' stamp: 'obi 2/15/2008 20:49'!
coreClass
	"Answer the actual implementation of the feature."
	
	^ nil! !

!SUSmallBoxTest methodsFor: 'rendering' stamp: 'obi 2/15/2008 21:02'!
renderContentOn: html
	html div class: 'smallBox'; with: [
		html div class: 'header'.
		html div 
			class: 'content';
			with: text ]! !

!SUSmallBoxTest methodsFor: 'testing' stamp: 'obi 2/15/2008 20:49'!
testClass
	"Answer the class that represents this example."
	
	^ self class! !

!SUSmallBoxTest methodsFor: 'accessing' stamp: 'obi 2/15/2008 21:03'!
text
	^ text! !

!SUSmallBoxTest methodsFor: 'accessing' stamp: 'obi 2/15/2008 21:03'!
text: anObject
	text := anObject! !

WAComponent subclass: #SUTooltipTest
	instanceVariableNames: 'text'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUTooltipTest class methodsFor: 'accessing' stamp: 'lr 2/8/2009 15:45'!
tooltips
	| dictionary |
	dictionary := Dictionary new.
	dictionary at: #hello put: 'Hello world!!'.
	dictionary at: #ok put: 'This is not the ok button!!'.
	^ dictionary! !

!SUTooltipTest methodsFor: 'initialization' stamp: 'obi 7/26/2008 18:58'!
initialize
	super initialize.
	text := ''! !

!SUTooltipTest methodsFor: 'rendering' stamp: 'obi 7/22/2008 20:30'!
renderContentOn: html
	html text: text! !

!SUTooltipTest methodsFor: 'accessing' stamp: 'obi 7/22/2008 20:31'!
text: aText
	text := aText! !

!SUTooltipTest methodsFor: 'accessing' stamp: 'lr 7/25/2011 18:40'!
textWithKey: aKey
	self text: (self class tooltips at: aKey asSymbol ifAbsent: [ 'Tooltip for key "', aKey , '" not found!!' ])! !

!SUAllFunctionalTests methodsFor: '*scriptaculous-tests-components' stamp: 'dkh 11/18/2009 15:02'!
renderChildrenOn: html
	"With Scriptaculous-Components loaded, we can display 'Example Source' using a lightbox. "

	html div id: 'content'; with: [
		selected do: [ :each |
			html heading: each key; render: each value.
			each value testClass isNil ifFalse: [
				html paragraph: [
					html anchor
						callback: [ self lightbox: (SUClassBrowser onClass: each value testClass) ];
						with: 'Example source' ] ] ] ]! !

!GRPackage class methodsFor: '*scriptaculous-tests-components' stamp: 'lr 2/17/2010 15:12'!
scriptaculousTestsComponents
	^ self new
		name: 'Scriptaculous-Tests-Components';
		description: 'Functional and unit tests for the Scriptaculous-Components package.';
		addDependency: 'Scriptaculous-Components';
		addDependency: 'Scriptaculous-Tests-Core';
		url: #seasideUrl;
		yourself! !

SUFunctionalTest subclass: #SUAccordionTest
	instanceVariableNames: 'accordion'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUAccordionTest methodsFor: 'accessing' stamp: 'lr 7/25/2011 19:54'!
children
	^ Array with: accordion! !

!SUAccordionTest methodsFor: 'accessing' stamp: 'lr 1/4/2008 14:01'!
coreClass
	^ SUAccordion! !

!SUAccordionTest methodsFor: 'initialization' stamp: 'lr 1/4/2008 13:56'!
initialize
	super initialize.
	accordion := SUAccordion new
		add: (SUCounterTest on: 1) label: 'Counter 1';
		add: (SUCounterTest on: 2) label: 'Counter 2';
		add: (SUCounterTest on: 3) label: 'Counter 3';
		yourself! !

SUFunctionalTest subclass: #SUCarouselHorizontalTest
	instanceVariableNames: 'carousel'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUCarouselHorizontalTest methodsFor: 'accessing' stamp: 'lr 7/25/2011 19:54'!
children
	^ Array with: carousel! !

!SUCarouselHorizontalTest methodsFor: 'accessing' stamp: 'obi 2/13/2008 21:20'!
coreClass
	^ SUHorizontalCarousel! !

!SUCarouselHorizontalTest methodsFor: 'initialization' stamp: 'pmm 2/20/2011 19:42'!
initialize
	super initialize.
	carousel := SUHorizontalCarousel new.
	carousel elementExtent: (Point x: 80 y: 80).
	1 to: 50 do:  [ :index | 
		carousel add: (SUSmallBoxTest new
			text: 'Test Box: ', index greaseString;
			yourself) ]! !

SUFunctionalTest subclass: #SUCarouselTest
	instanceVariableNames: 'carousel'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUCarouselTest methodsFor: 'accessing' stamp: 'lr 7/25/2011 19:54'!
children
	^ Array with: carousel! !

!SUCarouselTest methodsFor: 'accessing' stamp: 'obi 2/13/2008 20:09'!
coreClass
	^ SUNavigationCarousel! !

!SUCarouselTest methodsFor: 'initialization' stamp: 'lr 7/25/2011 18:38'!
initialize
	super initialize.
	carousel := SUNavigationCarousel new.
	1 to: 10 do: [ :index |
		carousel
			add: (SUCounterTest on: index)
			label: 'Counter ', index greaseString ].


	! !

SUFunctionalTest subclass: #SUCarouselVerticalTest
	instanceVariableNames: 'carousel'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUCarouselVerticalTest methodsFor: 'accessing' stamp: 'lr 7/25/2011 19:54'!
children
	^ Array with: carousel! !

!SUCarouselVerticalTest methodsFor: 'accessing' stamp: 'obi 2/16/2008 11:01'!
coreClass
	^ SUHorizontalCarousel! !

!SUCarouselVerticalTest methodsFor: 'initialization' stamp: 'pmm 2/20/2011 19:42'!
initialize
	super initialize.
	carousel := SUVerticalCarousel new.
	carousel
		elementExtent: (Point x: 370 y: 60);
		numVisible: 3;
		scrollInc: 3;
		navMargin: 14;
		animationSpeed: 0.3.
	1 to: 20 do:  [ :index | 
			carousel add: (SUSmallBoxTest new
				text: 'Test Box: ', index greaseString;
				yourself) ]! !

SUFunctionalTest subclass: #SUDatePickerTest
	instanceVariableNames: 'component timeComponent'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUDatePickerTest methodsFor: 'accessing' stamp: 'lr 7/25/2011 19:54'!
children
	^ Array with: component with: timeComponent! !

!SUDatePickerTest methodsFor: 'accessing' stamp: 'obi 1/16/2008 19:55'!
coreClass
	^ SUDatePicker! !

!SUDatePickerTest methodsFor: 'rendering' stamp: 'obi 10/23/2008 19:38'!
openDatePickerOn: script
	component openOn: script
! !

!SUDatePickerTest methodsFor: 'rendering' stamp: 'obi 10/23/2008 19:38'!
openDateTimePickerOn: script
	timeComponent openOn: script
! !

!SUDatePickerTest methodsFor: 'rendering' stamp: 'obi 5/21/2010 20:15'!
renderContentOn: html
	| theId divId theId2 | 
	component := nil.
	timeComponent := nil.
	theId := html nextId.
	divId := html nextId.
	theId2 := html nextId.
	html div id: divId.
	html form: [
		html table: [
				html tableRow: [
					html tableData: [ html textInput id: theId ].
					html tableData: [
						html button value: 'Set date';
							onClick: (html prototype evaluator
								callback: [:v | self setupDatePickerOn: theId div: divId origin: v] value: (html prototype element id: theId; cumulativeOffset);
								callback: [:script | self openDatePickerOn: script];
											return: false) ] ].
				html tableRow: [
					html tableData: [ html textInput id: theId2 ].
					html tableData: [
						html button value: 'Set date & time';
							onClick: (html prototype evaluator
								callback: [:v | self setupDateTimePickerOn: theId2 div: divId origin: v] value: (html prototype element id: theId2; cumulativeOffset);
								callback: [:script | self openDateTimePickerOn: script];
											return: false) ] ] ] ].
! !

!SUDatePickerTest methodsFor: 'rendering' stamp: 'obi 10/23/2008 19:40'!
setupDatePickerOn: theId div: divId origin: originString 
	component ifNil: 
		[ component := SUDatePicker 
			on: theId
			container: divId ].
	component setOriginWith: originString! !

!SUDatePickerTest methodsFor: 'rendering' stamp: 'obi 10/23/2008 19:45'!
setupDateTimePickerOn: theId div: divId origin: originString 
	timeComponent ifNil: 
		[ timeComponent := SUDateTimePicker 
			on: theId
			container: divId ].
	timeComponent format: #(1 2 3 $. 1 1).
	timeComponent setOriginWith: originString! !

SUFunctionalTest subclass: #SUHorizontalSplitterTest
	instanceVariableNames: 'splitter'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUHorizontalSplitterTest methodsFor: 'accessing' stamp: 'obi 5/4/2008 21:04'!
children
	^ Array with: splitter! !

!SUHorizontalSplitterTest methodsFor: 'accessing' stamp: 'obi 5/4/2008 21:01'!
coreClass
	^ SUHorizontalSplitter! !

!SUHorizontalSplitterTest methodsFor: 'initialization' stamp: 'obi 5/5/2008 20:49'!
initialize
	super initialize.
	splitter := SUHorizontalSplitter new
		add: (SUCounterTest on: 1) size: '50px' min: 30;
		add: (SUCounterTest on: 2) size: '50px' min: 30;
		add: (SUCounterTest on: 3) size: '50px' min: 30;
		yourself! !

SUFunctionalTest subclass: #SULightboxTest
	instanceVariableNames: 'value'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SULightboxTest methodsFor: 'user interface' stamp: 'RJT 5/8/2007 12:43'!
inform: aString
	self lightbox: (WAFormDialog new addMessage: aString; yourself).
	self lightbox: (WAFormDialog new addMessage: 'Back for more'; yourself)! !

!SULightboxTest methodsFor: 'rendering' stamp: 'lr 7/25/2011 18:38'!
renderContentOn: html
	html form
		style: 'text-align: center';
		with:[
			html div: [
				html text: 'What is your favorite transportation system ?'.
				3 timesRepeat: [ html break ].
				html select
					list:    #(Automobile Airplane Truck Boat Bicycle Horse Walking Swimming);
					selected: value;
					callback: [ :v | value := v ].
				html submitButton value: 'Ok'; callback: [ self inform: value ] ] ]! !

!SULightboxTest methodsFor: 'rendering' stamp: 'lr 7/25/2011 19:54'!
style
	^ '
div#lightbox {
	background: white;
	border: 1px solid #0000e8;
	padding: 2em;
	width: 40em;
	text-align: center;
}
div#overlay {
	background-color: black;
	filter: alpha(opacity=30);
	-moz-opacity: 0.3;
	opacity: 0.3;
}
'! !

SUFunctionalTest subclass: #SUTabPanelTest
	instanceVariableNames: 'tabPanel'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUTabPanelTest methodsFor: 'accessing' stamp: 'lr 1/4/2008 11:26'!
children
	^ Array with: tabPanel! !

!SUTabPanelTest methodsFor: 'accessing' stamp: 'lr 1/4/2008 14:02'!
coreClass
	^ SUTabPanel! !

!SUTabPanelTest methodsFor: 'initialization' stamp: 'lr 1/4/2008 11:28'!
initialize
	super initialize.
	tabPanel := SUTabPanel new
		add: (SUCounterTest on: 1) label: 'Counter 1';
		add: (SUCounterTest on: 2) label: 'Counter 2';
		add: (SUCounterTest on: 3) label: 'Counter 3';
		yourself! !

!SUTabPanelTest methodsFor: 'updating' stamp: 'lr 9/8/2009 12:40'!
updateRoot: anHtmlRoot
	super updateRoot: anHtmlRoot.
	anHtmlRoot stylesheet url: SUComponentLibrary / #tabPanelCss! !

SUFunctionalTest subclass: #SUTieredListTest
	instanceVariableNames: 'tieredList'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUTieredListTest methodsFor: 'accessing' stamp: 'lr 7/25/2011 19:57'!
children
	^ Array with: tieredList! !

!SUTieredListTest methodsFor: 'accessing' stamp: 'lr 1/4/2008 14:02'!
coreClass
	^ SUTieredList! !

!SUTieredListTest methodsFor: 'initialization' stamp: 'lr 1/4/2008 11:23'!
initialize
	super initialize.
	tieredList := SUTieredList new
		labels: [ :value | value fullName ];
		children: [ :value | 
			value subclasses
				asSortedCollection: [ :a :b | a name < b name ] ];
		selection: (OrderedCollection with: Collection);
		yourself! !

SUFunctionalTest subclass: #SUTitlePaneTest
	instanceVariableNames: 'component'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUTitlePaneTest methodsFor: 'accessing' stamp: 'lr 7/25/2011 19:57'!
children
	^ Array with: component! !

!SUTitlePaneTest methodsFor: 'accessing' stamp: 'obi 1/14/2008 20:40'!
coreClass
	^ SUTitlePane! !

!SUTitlePaneTest methodsFor: 'initialization' stamp: 'obi 1/14/2008 20:40'!
initialize
	super initialize.
	component := self coreClass new title: 'Title';
		body: (SUFormTest new)
"		body: (SUCounterTest on: 1); yourself"
		
"		body: (SUCarouselTest new); yourself"

	


	! !

SUFunctionalTest subclass: #SUTreeReportTest
	instanceVariableNames: 'treeReport'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUTreeReportTest methodsFor: 'accessing' stamp: 'lr 11/29/2007 14:53'!
children
	^ Array with: treeReport! !

!SUTreeReportTest methodsFor: 'accessing' stamp: 'lr 1/4/2008 14:02'!
coreClass
	^ SUTreeReport! !

!SUTreeReportTest methodsFor: 'initialization' stamp: 'lr 1/4/2008 12:34'!
initialize
	super initialize.
	treeReport := SUTreeReport new
		expand: Collection;
		roots: (Array with: Collection);
		children: [ :value | 
			value subclasses
				asSortedCollection: [ :a :b | a name < b name ] ];
		addColumn: [ :value | value name ]
			label: 'Class Name';
		addColumn: [ :value |
			[ :html |
				value instVarNames
					do: [ :each | html text: each ]
					separatedBy: [ html text: ', ' ] ] ]
			label: 'Instance Variables';
		yourself! !

SUFunctionalTest subclass: #SUVerticalSplitterTest
	instanceVariableNames: 'splitter'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUVerticalSplitterTest methodsFor: 'accessing' stamp: 'obi 5/4/2008 21:08'!
children
	^ Array with: splitter! !

!SUVerticalSplitterTest methodsFor: 'accessing' stamp: 'obi 5/4/2008 21:08'!
coreClass
	^ SUVerticalSplitter! !

!SUVerticalSplitterTest methodsFor: 'initialization' stamp: 'obi 5/5/2008 20:50'!
initialize
	super initialize.
	splitter := SUVerticalSplitter new
		add: (SUCounterTest on: 1) size: '150px' min: 60;
		add: (SUCounterTest on: 2) size: '150px' min: 80;
		add: (SUCounterTest on: 3) size: '150px' min: 80;
		yourself! !

SUFunctionalTest subclass: #SUWindowTest
	instanceVariableNames: 'windows'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Scriptaculous-Tests-Components'!

!SUWindowTest methodsFor: 'accessing' stamp: 'lr 7/25/2011 19:57'!
children
	^ windows! !

!SUWindowTest methodsFor: 'accessing' stamp: 'obi 6/24/2008 20:47'!
coreClass
	^ SUWindow! !

!SUWindowTest methodsFor: 'initialization' stamp: 'lr 7/25/2011 18:42'!
initialize
	super initialize.
	windows := OrderedCollection 
					with: ((SUWindow on: [ :w | SUCounterTest on: 10 ]) id: 'window_1'; zIndex: 1000; title: 'Window 1'; yourself)
					with: ((SUWindow on: [ :w | SUFormTest new ]) id: 'window_2';
								zIndex: 1001;
								origin: (300@100);
								extent: 500@240;
								title: 'Window 2';
								yourself)
					with: ((SUWindow on: [ :w | SUTooltipTest new ]) id: 'window_3';
								updateBlock: [ :w :model | model textWithKey: (w tooltipKey) ];
								zIndex: 1003;
								extent: 150@45;
								title: 'Tooltip';
								closeButtonEnabled: false;
								minimizeButtonEnabled: false;
								yourself).
	windows add: ((SUWindow on: [ :w | SUDialogTest new
											answer: [:script | 
												script alert: 'Window will be closed'. 
												script add: (JSStream on: '$("overlay").hide()').
												w closeOn: script];
											yourself ]) 
										id: 'dialog_window';
										closeButtonEnabled: false;
										minimizeButtonEnabled: false;
										zIndex: 9999;
										title: 'Window 4'; yourself).
! !

!SUWindowTest methodsFor: 'rendering' stamp: 'lr 7/25/2011 18:42'!
renderContentOn: html 
	| aWindow |
	html div id: 'overlay'.
	html big: 'Window Test:'.
	html space.
	html anchor
		onClick: (html prototype evaluator callback: [ : script | windows first openOn: script ]) ;
		with: 'Open window 1'.
	html space: 2.
	html anchor
		onClick: (html prototype evaluator callback: [ : script | (windows at: 2) openOn: script ]) ;
		with: 'Open window 2'.
	html space: 2.
	html anchor
		onClick: (html prototype evaluator
					callback: [ : script | 
						script add: (JSStream on: 'Element.fullscreen("overlay")'). 
						(windows at: 4) openOn: script.
						script add: (JSStream on: 'Element.center("dialog_window")') ]) ;
		with: 'Open dialog window'.
	html space: 2.
	aWindow := windows at: 3.
	html anchor
		class: 'tt' ;
		attributeAt: 'rel'
			put: 'ok' ;
		with: 'Show tooltip 1'.
	html space: 2.
	html anchor
		class: 'tt' ;
		attributeAt: 'rel'
			put: 'hello' ;
		with: 'Show tooltip 2'.
	html space: 2.
	html anchor
		class: 'tt' ;
		attributeAt: 'rel'
			put: 'illegal' ;
		with: 'Show tooltip 3'.
	windows do: [ :w | html render: w ].
	self 
		tooltipScriptOn: html
		window: aWindow! !

!SUWindowTest methodsFor: 'rendering' stamp: 'obi 11/30/2008 10:17'!
script
	^ 'Object.extend(Position, {
	windowBounds: function() {
		var x = window.innerWidth
			|| document.documentElement.clientWidth
			|| document.body.clientWidth
			|| 0;
		var y = window.innerHeight
			|| document.documentElement.clientHeight
			|| document.body.clientHeight
			|| 0;
		return [x, y];
	}
});
Object.extend(Element, {
	fullscreen: function(element) {
		element = $(element);
		element.show();
		element.style.position = "absolute";
		element.style.left = element.style.top = 0;
		element.style.width = "100%";
		element.style.height = "5000px";
	},
	center: function(element) {
		element = $(element);
		var extent = Element.getDimensions(element);
		var bounds = Position.windowBounds();
		var x = (bounds[0] - extent.width) / 2;
		var y = (bounds[1] - extent.height) / 2;
		x = x < 0 ? 0 : x; y = y < 0 ? 0 : y;
		element.style.position = "absolute";
		element.style.left = x + "px";
		element.style.top = y + "px";
	}
});'! !

!SUWindowTest methodsFor: 'rendering' stamp: 'obi 11/30/2008 10:15'!
style
	^ '
div#overlay {
	z-index: 9998;
	background-color: #336699;
	filter: alpha(opacity=30);
	-moz-opacity: 0.3;
	opacity: 0.3;
}
div#overlay[id] { position: fixed; }
'! !

!SUWindowTest methodsFor: 'scripting' stamp: 'lr 7/25/2011 18:22'!
tooltipScriptOn: html window: aWindow
	"add an event handler to all anchors which have the class tt"
	"use the html rel attribute as tooltip index"
	
	html document addLoadScript: (html prototype selector
     	add: 'a.tt';
     	do: [ :each | each element on: 'mouseover' do: ((JSStream on: 'event.target._showState = true'),
				((JSStream on: 'event.target._showState') then:
					(html prototype evaluator 
						callback: [:v | | values |
								values := v subStrings: ','.
								aWindow originX: values first y: (values at: 2) ; tooltipKey: (values at: 3)]
						value: (JSStream on: '[event.clientX,event.clientY,event.target.rel]');
						callback: [:script | aWindow openOn: script hidden: true];
						onComplete: ((JSStream on: 'event.target._showState') then: (html prototype element id: aWindow windowId; show)));
						timeout: 2000)).
				each element on: 'mouseout' do: 	((JSStream on: 'event.target._showState = false'),
					((html prototype element id: aWindow windowId; visible) then:
						(html prototype evaluator 
							callback: [:script | aWindow closeOn: script ]))) ])

	! !
SUAllComponentTests initialize!
